Package name.pachler.nio.file.impl

# Class PathWatchEventKind

java.lang.Object
name.pachler.nio.file.impl.PathWatchEventKind

All Implemented Interfaces:
  `WatchEvent.Kind<Path>`

public class PathWatchEventKind extends Object implements WatchEvent.Kind<Path>

## Constructor Summary

Constructors
Constructor
Description
`PathWatchEventKind(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
`String`
`toString()`
`Class<Path>`
`type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PathWatchEventKind

public PathWatchEventKind(String name)

## Method Details

### name

public String name()

Specified by:
  `name` in interface `WatchEvent.Kind<Path>`
Returns:
  the name of this modifier

### type

public Class<Path> type()

Specified by:
  `type` in interface `WatchEvent.Kind<Path>`
Returns:
  the type of the WatchEvent's context value.

### toString

public String toString()

Overrides:
  `toString` in class `Object`